APIsCatalogReferenceBulk Export
Retrieve a list of all the available dates for exported files.
Lists the dates for which a bulk export file is available, newest first. Which files are available depends on your organization — pass fileTypeOverride to request a specific file type if you have access to more than one; leave it blank for your default file.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {your token here}"
In: header
Query Parameters
fileTypeOverride?string
(optional) Leave blank for the default file (catalog). Public file types available to all customers:
catalog (full catalog), catalogValid (active/valid parts only), stdlead (standard lead
time by part), pricing, pricingValid, and catalogPricingValid. Additional file types may be available based on your account.
Default
""Header Parameters
client-app-name?string
Name of the client application
Default
"samtec-dev-portal"Response Body
application/json
curl -X GET "https://example.com/v1/export"[ "2026-08-25", "2026-08-11", "2026-07-28"]